{% load alarme_utils %}

{% for mission in missions %}
    {% if forloop.first %}
        <table class="table mission">
            <thead><th>Chez</th><th>Description</th><th>Par</th><th>Délai</th><th>Planifiée le</th></thead>
            <tbody>
    {% endif %}
    <tr><td>
            <a href="{% url 'client-edit' mission.client.pk %}">{{ mission.client.nom_prenom }}</a>, {{ mission.client.npa }} {{ mission.client.localite }}
        </td>
        <td><b>{{ mission.type_mission }}{% if mission.description %}:{% endif %}</b> {{ mission.description }}</td>
        {% if mission.benevole %}
        <td><a href="{% url 'benevole-edit' 'alarme' mission.benevole.pk %}">{{ mission.benevole.nom_prenom }}</a></td>
        {% else %}
        <td><i>À attribuer</i></td>
        {% endif %}
        <td>{{ mission.delai|date_delai }}</td>
        <td>{{ mission.planifiee|date:'d.m.Y'|default:'-' }}</td>
        <td><button type="button" class="btn btn-light btn-icon openmodal" title="Modifier l’intervention"
                    data-modalurl="{% url 'mission-edit' mission.pk %}"
                    {% if perms.alarme.delete_mission %}
                    data-deleteurl="{% url 'mission-delete' mission.pk %}"
                    data-deleteconfirm="Voulez-vous vraiment annuler cette intervention ?"
                    {% endif %}>
                <img src="{% static 'img/edit.svg' %}">
            </button>
        </td>
    </tr>
    {% if forloop.last %}
    </tbody></table>
    {% endif %}
{% empty %}
    <div><i>-</i></div>
{% endfor %}
